- libbson 1.13.1 »
- API Reference »
- bson_json_reader_t

# bson_json_data_reader_ingest()

## Synopsis

    void
    bson_json_data_reader_ingest (bson_json_reader_t *reader,
                                  const uint8_t *data,
                                  size_t len);

## Parameters

- `reader`: A bson_json_reader_t.
- `data`: A uint8_t containing data to feed.
- `len`: A size_t containing the length of `data`.

## Description

Feed data to a memory based json reader.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.